sockethub Cookbook
==================

This cookbook installs [sockethub](https://github.com/sockethub/sockethub)

Attributes
----------

#### sockethub::default
<table>
  <tr>
    <th>Key</th>
    <th>Type</th>
    <th>Description</th>
    <th>Default</th>
  </tr>
  <tr>
    <td><tt>['sockethub']['port']</tt></td>
    <td>Integer</td>
    <td>The local port to run sockethub on</td>
    <td><tt>10551</tt></td>
  </tr>
  <tr>
    <td><tt>['sockethub']['external_port']</tt></td>
    <td>Integer</td>
    <td>The external port to run sockethub on. This will also open the port on the firewall</td>
    <td><tt>10550</tt></td>
  </tr>
</table>

Right now the nginx vhost is hardcoded: sockethub.kosmos.org

Sockethub will be available under https://sockethub.kosmos.org:10550
